View Issue Details

IDProjectCategoryView StatusLast Update
0016033LazarusPatchpublic2010-04-08 06:47
ReporterFlávio Etrusco Assigned ToMaxim Ganetsky  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0016033: Find In Files dialog rework (align)
DescriptionRework alignments in Find in Files dialog.
TagsNo tags attached.
Fixed in Revision24493
LazTarget0.9.30
Widgetset
Attached Files

Activities

2010-03-18 06:01

 

Vincent Snijders

2010-03-18 09:48

manager   ~0035755

Last edited: 2010-03-18 09:49

What does this patch do?

Can you add screenshots before and after?

samuel herzog

2010-03-20 09:41

developer   ~0035821

See my screenshots:

Something still not ok when opening the dialog a second time.

2010-03-20 15:36

 

Screenshot-Find in files.png (38,839 bytes)   
Screenshot-Find in files.png (38,839 bytes)   

Flávio Etrusco

2010-03-20 15:44

developer   ~0035834

Last edited: 2010-03-20 15:49

samuel: the patch is only about Find in Files dialog, not Find/Replace.

The patch puts the text entries in a panel, aligns it on top, align Options group as client, and everything else to bottom. It also "breaks" the Options group in 2 columns. This makes the dialog more comfortable to use on low height/widescreen monitors, and forces a minimum size on the dialog (can't hide the Directory Options group).
It tries to make everything as "auto-aligned" as possible, but I must say my knowledge in LCL's alignment options is kind of limited.
It also fixes the problem with NewAutoSize at least on gtk2, but this is secondary...

2010-03-21 13:13

 

samuel herzog

2010-03-21 13:17

developer   ~0035860

Hello Flavio, you are right. Sorry, my mistake. This issue is only about "Find in Files"-Dialog. So I might remove the relationship to issue 0016010.

Maxim Ganetsky

2010-04-07 22:06

developer   ~0036525

Removed incorrect relationship to 0016010.

Maxim Ganetsky

2010-04-08 02:39

developer   ~0036528

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-03-18 06:01 Flávio Etrusco New Issue
2010-03-18 06:01 Flávio Etrusco File Added: findinfilesdlg.r24077.svndiff
2010-03-18 06:01 Flávio Etrusco LazTarget => -
2010-03-18 06:01 Flávio Etrusco Relationship added related to 0016010
2010-03-18 09:48 Vincent Snijders Note Added: 0035755
2010-03-18 09:48 Vincent Snijders Status new => feedback
2010-03-18 09:49 Vincent Snijders Note Edited: 0035755
2010-03-20 09:39 samuel herzog File Added: find_replace_before.gif
2010-03-20 09:40 samuel herzog File Added: find_replace_after.gif
2010-03-20 09:40 samuel herzog File Added: find_replace_after_2.gif
2010-03-20 09:41 samuel herzog Note Added: 0035821
2010-03-20 15:36 Flávio Etrusco File Added: Screenshot-Find in files.png
2010-03-20 15:44 Flávio Etrusco Note Added: 0035834
2010-03-20 15:49 Flávio Etrusco Note Edited: 0035834
2010-03-21 13:02 samuel herzog File Deleted: find_replace_before.gif
2010-03-21 13:02 samuel herzog File Deleted: find_replace_after.gif
2010-03-21 13:02 samuel herzog File Deleted: find_replace_after_2.gif
2010-03-21 13:13 samuel herzog File Added: find_in_files_after_winxp_sp3.gif
2010-03-21 13:17 samuel herzog Note Added: 0035860
2010-03-25 03:34 Flávio Etrusco Status feedback => assigned
2010-03-25 03:34 Flávio Etrusco Assigned To => Vincent Snijders
2010-03-25 06:35 Vincent Snijders Assigned To Vincent Snijders =>
2010-03-25 06:35 Vincent Snijders Status assigned => new
2010-04-07 07:37 Flávio Etrusco LazTarget - => 0.9.30
2010-04-07 07:37 Flávio Etrusco Status new => acknowledged
2010-04-07 22:04 Maxim Ganetsky Relationship deleted related to 0016010
2010-04-07 22:06 Maxim Ganetsky Note Added: 0036525
2010-04-08 00:56 Maxim Ganetsky Status acknowledged => assigned
2010-04-08 00:56 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-04-08 02:39 Maxim Ganetsky Fixed in Revision => 24493
2010-04-08 02:39 Maxim Ganetsky Status assigned => resolved
2010-04-08 02:39 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-04-08 02:39 Maxim Ganetsky Resolution open => fixed
2010-04-08 02:39 Maxim Ganetsky Note Added: 0036528
2010-04-08 06:47 Flávio Etrusco Status resolved => closed